package cp213;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

// -------------------------------------------------------------------------------
/**
 * Main class and method for the Counters project. Displays the SpawnView within
 * a JFrame.
 *
 * @author David Brown
 * @version 2017-11-15
 */
public class Main {

    // -------------------------------------------------------------------------------
    /**
     * @param args
     */
    public static void main(final String[] args) {
	// Execute the GUI in the Swing worker thread when its components are
	// ready to be displayed.
	SwingUtilities.invokeLater(runJFrame);
    }

    // -------------------------------------------------------------------------------
    // Create an anonymous Runnable object to run in the Swing worker thread.
    static Runnable runJFrame = new Runnable() {

	@Override
	public void run() {
	    final JFrame frame = new JFrame("Spawn");
	    frame.setLocation(0, 0);
	    final SpawnView view = new SpawnView();
	    frame.setContentPane(view);
	    frame.setSize(SpawnView.SIZE);
	    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	    frame.setLocation(0, 0);
	    frame.setVisible(true);
	}
    };
}
